/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef         __INIT_COMMUNICATION
#define         __INIT_COMMUNICATION

#include "Reseau.h"

gint      Pid_Agent_Initialisation;
gboolean  AutoRestore;
gboolean  Agent_Initialiser;
gboolean  Connecter_Agent;
gchar     *Info_Message_Critique;

void      Demande_Arret_Agent (struct Struct_Liste_Reseau *Reseau);
void      Recuperation_Restoration_Equipement (gpointer * Donnee);
void      Demande_Demarrage_Agent (gint ID_Reseau,gchar *Nom_Reseau,gchar * Interface, gchar * Communaute_Snmp, gboolean Autoriser_A_Scanner);
void      Reception_Version_Agent (gpointer * Donnee);
void      Recuperation_Liste_Interface_Fini (gpointer * Donnee);
void      Recuperation_Nouvelle_Interface (gpointer * Donnee);
void      Efface_Toute_Interface_Combo (void);
void      Recuperation_Message_Agent (gpointer * Donnee);
void 	  Recuperation_Retour_Critique_Agent (gpointer * Donnee);
#endif
