/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef         __MAEMO
#include <gtk/gtk.h>

#include "Demarrage_Interface.h"
#include "Declaration_Constante.h"
#include "Animation.h"

void Change_Etat_Barre_Demarrage(gchar *Texte,gdouble fraction){
	gtk_progress_bar_set_fraction (GTK_PROGRESS_BAR (progressbar_Demarrage), fraction);
	gtk_progress_bar_set_text (GTK_PROGRESS_BAR (progressbar_Demarrage),Texte);
	refresh ();
}

GtkWidget *create_win_Demarrage (void)
{
	win_Demarrage = gtk_window_new (GTK_WINDOW_TOPLEVEL);//GTK_WINDOW_POPUP);
	gtk_container_set_border_width (GTK_CONTAINER (win_Demarrage), 2);
	gtk_window_set_title (GTK_WINDOW (win_Demarrage), "AutoScan-Network");
	gtk_window_set_resizable (GTK_WINDOW (win_Demarrage), FALSE);
	gtk_window_set_decorated (GTK_WINDOW (win_Demarrage), FALSE);
	gtk_window_set_position (GTK_WINDOW (win_Demarrage), GTK_WIN_POS_CENTER);

	vbox_Demarrage = gtk_vbox_new (FALSE, 0);
	gtk_widget_show (vbox_Demarrage);
	gtk_container_add (GTK_CONTAINER (win_Demarrage), vbox_Demarrage);

	image_Demarrage = (GtkWidget *)Load_Pixmap ("Demarrage.png");
	gtk_widget_show (image_Demarrage);
	gtk_box_pack_start (GTK_BOX (vbox_Demarrage), image_Demarrage, TRUE, TRUE, 0);

	progressbar_Demarrage = gtk_progress_bar_new ();
	gtk_widget_show (progressbar_Demarrage);
	gtk_box_pack_start (GTK_BOX (vbox_Demarrage), progressbar_Demarrage, FALSE, FALSE, 0);
	gtk_progress_bar_set_fraction (GTK_PROGRESS_BAR (progressbar_Demarrage), 0);
	gtk_progress_bar_set_pulse_step (GTK_PROGRESS_BAR (progressbar_Demarrage), 0);
	gtk_progress_bar_set_text (GTK_PROGRESS_BAR (progressbar_Demarrage), "Loading ....");
	gtk_widget_show (win_Demarrage);
	refresh ();
	return win_Demarrage;
}
#endif
