/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#include <gtk/gtk.h>

#include "Open_Save_Callbacks.h"
#include "Open_Save_Interface.h"
#include "Enregistrement.h"
#include "Debug.h"

void on_file_Save_destroy (GtkObject * object, gpointer user_data)
{
	create_file_Save ();
}


void on_button_Save_Cancel_clicked (GtkButton * button, gpointer user_data)
{
	gtk_widget_hide (file_Save);
}


void on_button_Save_clicked (GtkButton * button, gpointer user_data)
{
	gtk_widget_hide (file_Save);
	DEBUG_INFO("[%s]",gtk_file_chooser_get_filename (GTK_FILE_CHOOSER (file_Save)));
	if (gtk_file_chooser_get_filename (GTK_FILE_CHOOSER (file_Save))!=NULL)
		Enregistrement(gtk_file_chooser_get_filename (GTK_FILE_CHOOSER (file_Save)));
}

void on_file_Open_destroy (GtkObject * object, gpointer user_data)
{
}


void on_button_Open_Cancel_clicked (GtkButton * button, gpointer user_data)
{
	gtk_widget_destroy (file_Open);
}


void on_button_Open_clicked (GtkButton * button, gpointer user_data)
{

	if (gtk_file_chooser_get_filename (GTK_FILE_CHOOSER (file_Open))!=NULL)
	    gtk_entry_set_text(GTK_ENTRY (entry_Open_File),gtk_file_chooser_get_filename (GTK_FILE_CHOOSER (file_Open)));
	gtk_widget_destroy (file_Open);
}
