/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifdef         __SCRIPT_ENABLE


#ifndef         __SETTINGS_SCRIPT
#define         __SETTINGS_SCRIPT

#include <libxml/tree.h>
#include <libxml/parser.h>


enum {
	COL_SCRIPT = 0,	
	COL_PATH,	
	POINTER_SCRIPT,
	NUM_COLS_SCRIPT
};


struct Struct_Liste_Script {
	GtkTreeIter ID_Arbre_Ligne;

	gchar    *Name;	
	gchar    *Path;
	gchar    *Param;
	gchar    *Icon;
	GdkPixbuf *icone;
};

struct Struct_Liste_Script *Script_Modification, *Script_Selectionner;
gboolean  Liste_Script_Modification_Interface;

void      Enregistrement_Donnee_Xml_Script (void);
void      Supprime_Script_liste (struct Struct_Liste_Script *Script);
void      Modifie_Ajoute_Nouveau_Script (void);
void      Liste_Script_Sensible (gboolean bool);
void      Liste_Script_Efface_Champs (void);
gboolean  Lit_Xml_Script_Fichier (char *fname);
void      Create_Liste_Script (void);
void      Afficher_Liste_Script (void);
void      Initialisation_Liste_Script (void);
#endif


#endif
