/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef         __ADD_NETWORK_SUBNET
#define         __ADD_NETWORK_SUBNET

#include <libxml/tree.h>
#include <libxml/parser.h>

enum {
	COL_MASQUE = 0,
	COL_IP,
	POINTER_SUBNET,	
	NUM_COLS_SUBNET
};

struct Struct_Subnet {
	GtkTreeIter ID_Arbre_Ligne;
	gint      Masque;
	gint      A;
	gint      B;
	gint      C;
};

GList    *GList_Subnet;
struct Struct_Subnet *Subnet_Modification, *Subnet_Selectionner;
gboolean  Liste_Subnet_Modification_Interface;

void      Subnet_Sensible (gboolean bool);
void      Enregistrement_Donnee_Xml_Subnet (void);
void      Supprime_Subnet_liste (struct Struct_Subnet *Subnet);
void      Modifie_Ajoute_Nouveau_Subnet (void);
void      Afficher_Liste_Subnet (void);
void      Affiche_Subnet (struct Struct_Subnet *Subnet);
void      Initialisation_Subnet (void);
void      Create_Liste_Subnet (void);
gboolean  Lit_Xml_Subnet_Fichier (char *fname);
#endif
