/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#include <gtk/gtk.h>
#ifdef         __MAEMO
#include "Maemo.h"
#endif

enum {
ONGLET_BASE = 0,
ONGLET_CONFIG,
ONGLET_INFO_AUTRE,
ONGLET_INFO_SNMP,
ONGLET_INFO_SOFT,
ONGLET_INFO_TCP,
ONGLET_INFO_ROUTE,
ONGLET_INFO_ARP,
ONGLET_INFO_PERIPHERIQUE,
ONGLET_INFO_SERVICE	,
ONGLET_INFO_INTERFACE,
ONGLET_INFO_INVENTAIRE,
ONGLET_INFO_HISTORIQUE,
ONGLET_INFO_DEBUG_DAEMON,	
};

void      create_window_root (void);
gboolean  Modification_Toggle_En_Cours;

#ifndef         __MAEMO
GtkWidget *window_root;
#else
HildonWindow *window_root;
#endif
GdkPixbuf *window_root_icon_pixbuf;
GtkWidget *vbox_root;
GtkWidget *toolbar;
GtkWidget *viewport_Modules;
GtkIconSize tmp_toolbar_icon_size;
GtkWidget *tmp_image;
GtkWidget *toolbutton_Add_Network;
GtkWidget *toolbutton_View;
GtkWidget *toolbutton_Save;
GtkWidget *toolbutton_fullscreen;
GtkWidget *toolbutton_Search;
GtkWidget *toolbutton_Help;
GtkWidget *toolbutton_Settings;
GtkWidget *separatortoolitem_1;
GtkWidget *toggletoolbutton_Notification;
GtkWidget *toggletoolbutton_Alert_Intrusion;
GtkWidget *separatortoolitem_2;
GtkWidget *toolbutton_About;
GtkWidget *toolbutton_Console;
GtkWidget *separatortoolitem_3;
GtkWidget *toolbutton_Exit;
GtkWidget *hpaned_root;
GtkWidget *notebook_Info;
GtkWidget *scrolledwindow_Reseau_1;
GtkWidget *treeview_Reseau_1;
GtkWidget *image_Reseau_1;
GtkWidget *scrolledwindow_Onglet_Favoris;
GtkWidget *treeview_Onglet_Favoris;
GtkWidget *image_Onglet_Favoris;
GtkWidget *vpaned_root;
GtkWidget *scrolledwindow_Info_Base;
GtkWidget *treeview_Info;
GtkWidget *treeview_Modules;
GtkWidget *vbox_Milieu;
GtkWidget *hbox_Milieu;
GtkWidget *fixed_milieu;
GtkWidget *hbox_milieu;
GtkWidget *togglebutton_Favoris;
GtkWidget *alignment_Favoris;
GtkWidget *hbox_Favoris;
GtkWidget *image_Favoris;
GtkWidget *button_Plus;
GtkWidget *alignment_Plus;
GtkWidget *hbox_Plus;
GtkWidget *image_Plus;
GtkWidget *button_Moins;
GtkWidget *alignment_Moins;
GtkWidget *hbox_Moins;
GtkWidget *image_Moins;
GtkWidget *button_Erase;
GtkWidget *alignment_Erase;
GtkWidget *hbox_Erase;
GtkWidget *image_Erase;
GtkWidget *button_Refresh;
GtkWidget *alignment_Refresh;
GtkWidget *hbox_Refresh;
GtkWidget *image_Refresh;
GtkWidget *vseparator_2;
GtkWidget *button_Alerte;
GtkWidget *alignment48;
GtkWidget *hbox48;
GtkWidget *image79;
GtkWidget *label_Alerte;
GtkWidget *label_treeview_Info_Disk;
GtkWidget *button_Warning;
GtkWidget *alignment49;
GtkWidget *hbox49;
GtkWidget *image80;
GtkWidget *label_Warning;
GtkWidget *vseparator_3;
GtkWidget *vbox_Treeview_Info;
#ifdef         __GNOME_ENABLE
GtkTooltips *tooltips;
#endif 
GtkWidget *combobox_liste_Modules;




GdkPixbuf *image_notebook_Info;
GdkPixbuf *image_notebook_Info_Autre;
GtkWidget *scrolledwindow_Info_Autre;
GtkWidget *scrolledwindow_Info_Snmp;
GdkPixbuf *image_notebook_Info_Snmp;
GtkWidget *scrolledwindow_Info_Software;
GdkPixbuf *image_notebook_Info_Software;
GtkWidget *scrolledwindow_Info_Software;
GdkPixbuf *image_notebook_Info_Tcp;
GtkWidget *scrolledwindow_Info_Tcp;
GtkWidget *scrolledwindow_Info_Route;
GdkPixbuf *image_notebook_Info_Route;
GtkWidget *scrolledwindow_Info_Arp;
GdkPixbuf *image_notebook_Info_Arp;
GtkWidget *scrolledwindow_Info_Peripherique;
GdkPixbuf *image_notebook_Info_Peripherique;
GtkWidget *scrolledwindow_Info_Service;
GdkPixbuf *image_notebook_Info_Service;
GtkWidget *scrolledwindow_Info_Interface;
GdkPixbuf *image_notebook_Info_Interface;
GtkWidget *scrolledwindow_Info_Inventaire;
GdkPixbuf *image_notebook_Info_Inventaire;
GtkWidget *scrolledwindow_Info_Historique;
GdkPixbuf *image_notebook_Info_Historique;
GtkWidget *scrolledwindow_Info_Debug_Daemon;
GdkPixbuf *image_notebook_Info_Debug_Daemon;
GtkWidget *treeview_Info_Autre;
GtkWidget *treeview_Info_Inventaire;
GtkWidget *treeview_Info_Snmp;
gint Page_Notebook_Info;
GtkWidget *treeview_Info_Software;
GtkWidget *treeview_Info_Tcp;
GtkWidget *treeview_Info_Route;
GtkWidget *treeview_Info_Arp;
GtkWidget *treeview_Info_Peripherique;
GtkWidget *treeview_Info_Service;
GtkWidget *treeview_Info_Interface;
GtkWidget *treeview_Info_Historique;
GtkWidget *treeview_Info_Debug_Daemon;
GtkWidget *hbox_notebook_Info_Autre;
GtkWidget *label_notebook_Info_Autre;
GtkWidget *hbox_notebook_Info_Snmp;
GtkWidget *label_notebook_Info_Snmp;
GtkWidget *hbox_notebook_Info_Software;
GtkWidget *label_notebook_Info_Software;
GtkWidget *hbox_notebook_Info_Tcp;
GtkWidget *label_notebook_Info_Tcp;
GtkWidget *hbox_notebook_Info_Route;
GtkWidget *label_notebook_Info_Route;
GtkWidget *hbox_notebook_Info_Arp;
GtkWidget *label_notebook_Info_Arp;
GtkWidget *hbox_notebook_Info_Peripherique;
GtkWidget *label_notebook_Info_Peripherique;
GtkWidget *hbox_notebook_Info_Service;
GtkWidget *label_notebook_Info_Service;
GtkWidget *hbox_notebook_Info_Interface;
GtkWidget *label_notebook_Info_Interface;
GtkWidget *hbox_notebook_Info_Inventaire;
GtkWidget *label_notebook_Info_Inventaire;
GtkWidget *hbox_notebook_Info_Historique;
GtkWidget *label_notebook_Info_Historique;
GtkWidget *hbox_notebook_Info_Debug_Daemon;
GtkWidget *label_notebook_Info_Debug_Daemon;
GtkWidget *viewport_Treeview_Info;
GtkWidget *viewport_Notebook_Info;
GtkWidget *hbox_notebook_Info;
GtkWidget *label_notebook_Info;

GtkWidget *vbox_root_network;
GtkWidget *treeview_network;
GtkWidget *scrolledwindow_network;
GtkWidget *label_my_network_list;
GdkPixbuf *pixbuf_network_reload;

GdkPixbuf *pixbuf_network;
GdkPixbuf *pixbuf_inter_autoscan;
GdkPixbuf *pixbuf_thread;
GtkWidget *scrollwin_liste_equipement;
GtkWidget *vbox_network;

GtkTreeIter iter_Combo;
GtkWidget *scrolledwindow_Config;
GtkWidget *hbox_notebook_Config;
GtkWidget *image_notebook_Config;
GtkWidget *label_notebook_Config;
GtkWidget *treeview_Config;
GtkListStore *list_store_combo_True_False;
GtkListStore *list_store_combo_Network;
GtkTreeIter iter_Combo;
GtkWidget *vbox_Info_Debug_Daemon;
GtkWidget *Button_Info_Debug_Daemon_Erreur_Inform;
GtkWidget *alignment_Info_Debug_Daemon_Erreur_Inform;
GtkWidget *hbox_Info_Debug_Daemon_Erreur_Inform;
GtkWidget *image_Info_Debug_Daemon_Erreur_Inform;
GtkWidget *label_Info_Debug_Daemon_Erreur_Inform;
