/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#include <gtk/gtk.h>

void      create_dialog_Settings (void);
GtkWidget *dialog_Settings;
GdkPixbuf *dialog_Settings_icon_pixbuf;
GtkWidget *dialog_vbox_Settings;
GtkWidget *notebook_Settings;
GtkWidget *scrolledwindow_General;
GtkWidget *viewport_General;
GtkWidget *vbox_General;
GtkWidget *frame_General_Interface;
GtkWidget *alignment_General_Interface;
GtkWidget *vbox_General_General;
#ifdef         __EGGTRAYICON_ENABLE
GtkWidget *checkbutton_General_Interface_TrayIcon;
GtkWidget *checkbutton_General_Interface_Minimized;
#endif
GtkWidget *label_General_Interface;
GtkWidget *frame_General_Internet;
GtkWidget *alignment_General_Internet;
GtkWidget *vbox_General_Connection;
GtkWidget *radiobutton_General_Internet_Direct;
GtkWidget *radiobutton_General_Internet_Http_Proxy;
GtkWidget *hbox_General_Connection_Manual;
GtkWidget *label_General_Internet_Http_Proxy;
GtkWidget *entry_General_Internet_Http_Proxy;
GtkWidget *label_General_Internet_Port;
GtkObject *spinbutton_General_Internet_Port_adj;
GtkWidget *spinbutton_General_Internet_Port;
GtkWidget *radiobutton_General_Internet_Url;
GtkWidget *hbox_General_Connection_Auto;
GtkWidget *label_Generel_Internet_Url;
GtkWidget *entry_General_Internet_Url;
GtkWidget *checkbutton_General_Internet_Authentication;
GtkWidget *hbox_General_Connection_Authentication_User;
GtkWidget *label_General_Internet_Authentication_User;
GtkWidget *entry_General_Internet_Authentication_User;
GtkWidget *hbox_General_Connection_Authentication_Password;
GtkWidget *label_General_Internet_Authentication_Password;
GtkWidget *entry_General_Internet_Authentication_Password;
GtkWidget *label_General_Internet;
GtkWidget *vbox_General_Icone;
GtkWidget *image_General;
GtkWidget *label_General;
GtkWidget *scrolledwindow_Liste_Ports_Root;
GtkWidget *viewport_Liste_Ports;
GtkWidget *vbox_Liste_Ports;
GtkWidget *scrolledwindow_Liste_Ports;
GtkWidget *treeview_Liste_Ports;
GtkWidget *hbox_Liste_Ports;
GtkWidget *frame_Liste_Ports;
GtkWidget *vbox_Liste_Ports_Change;
GtkWidget *hbox_Liste_Ports_Change;
GtkWidget *vbox_Liste_Ports_Change_Port;
GtkWidget *hbox_Liste_Ports_Change_Port_Port;
GtkWidget *label_Liste_Ports_Info_Port;
GtkObject *spinbutton_Liste_Ports_Info_Port_adj;
GtkWidget *spinbutton_Liste_Ports_Info_Port;
GtkWidget *label_Liste_Ports_Info_Type;
GtkWidget *combobox_Liste_Ports_Info_Type;
GtkWidget *hbox_Liste_Ports_Change_Port_Service;
GtkWidget *label_Liste_Ports_Info_Service;
GtkWidget *entry_Liste_Ports_Info_Service;
GtkWidget *hbox_Liste_Ports_Change_Port_Description;
GtkWidget *label_Liste_Ports_Info_Description;
GtkWidget *entry_Liste_Ports_Info_Description;
GtkWidget *vbox_Liste_Ports_Change_Port_Icon;
GtkWidget *fixed_Liste_Ports_Change_Port_Icon_Haut;
GtkWidget *combobox_Liste_Ports_Info;
GtkWidget *fixed_Liste_Ports_Change_Port_Icon_Bas;
GtkWidget *frame_Liste_Ports_Program;
GtkWidget *hbox_Liste_Ports_Change_Program;
GtkWidget *vbox_Liste_Ports_Change_Program_Program;
GtkWidget *hbox_Liste_Ports_Change_Program_Name;
GtkWidget *label_Liste_Ports_Program_Name;
GtkWidget *entry_Liste_Ports_Program_Name;
GtkWidget *hbox_Liste_Ports_Change_Program_Path;
GtkWidget *label_Liste_Ports_Program_Path;
GtkWidget *button_Liste_Ports_Program_Path;
GtkWidget *entry_Liste_Ports_Program_Path;
GtkWidget *hbox_Liste_Ports_Change_Program_Params;
GtkWidget *label_Liste_Ports_Program_Param;
GtkWidget *entry_Liste_Ports_Program_Param;
GtkWidget *hbox_Liste_Ports_Change_Program_Button;
GtkWidget *fixed_Liste_Ports_Change_Program_Button_Gauche;
GtkWidget *button_Liste_Ports_Program_Add;
GtkWidget *button_Liste_Ports_Program_Delete;
GtkWidget *fixed_Liste_Ports_Change_Program_Droite;
GtkWidget *vbox_Liste_Ports_Change_Program_Icon;
GtkWidget *fixed_Liste_Ports_Change_Program_Icon_Haut;
GtkWidget *combobox_Liste_Ports_Program;
GtkWidget *fixed_Liste_Ports_Change_Program_Icon_Bas;
GtkWidget *label_Liste_Ports_Program;
GtkWidget *label_Frame_Liste_Ports;
GtkWidget *vbox_Liste_Ports_Button;
GtkWidget *fixed_Liste_Ports_Button_Haut;
GtkWidget *button_Liste_Ports_Add;
GtkWidget *button_Liste_Ports_Delete;
GtkWidget *fixed_Liste_Ports_Button_Milieu;
GtkWidget *button_Liste_Ports_Ok;
GtkWidget *button_Liste_Ports_Cancel;
GtkWidget *fixed_Liste_Ports_Button_Bas;
GtkWidget *vbox_Liste_Ports_Icone;
GtkWidget *image_Liste_Ports;
GtkWidget *label_Liste_Ports;
GtkWidget *scrolledwindow_Liste_Signature_Root;
GtkWidget *viewport_Liste_Signature;
GtkWidget *vbox_Liste_Signature;
GtkWidget *scrolledwindow_Liste_Signature;
GtkWidget *treeview_Liste_Signature;
GtkWidget *hbox_Liste_Signature;
GtkWidget *frame_Liste_Signature;
GtkWidget *vbox_Liste_Signature_Change;
GtkWidget *hbox_Liste_Signature_Change_Haut;
GtkWidget *vbox_Liste_Signature_Change_Haut_Gauche;
GtkWidget *hbox_Liste_Signature_Change_Name;
GtkWidget *label_Liste_Signature_System_Name;
GtkWidget *entry_Liste_Signature_System_name;
GtkWidget *hbox_Liste_Signature_Change_Type;
GtkWidget *label_Liste_Signature_Type;
GtkWidget *combobox_Liste_Signature_Type;

GtkWidget *hbox_Liste_Signature_Change_Signature;
GtkWidget *label_Liste_Signature_Md5;
GtkWidget *entry_Liste_Signature_Md5;
GtkWidget *vbox_Liste_Signature_Change_Haut_Icon;
GtkWidget *combobox_Liste_Signature;
GtkWidget *hbox_Liste_Signature_Change_MAC;
GtkWidget *label_Liste_Signature_MAC;
GtkWidget *entry_Liste_Signature_MAC;
GtkWidget *label_Liste_Signature_Open_Port;
GtkObject *spinbutton_Liste_Signature_Open_Port_adj;
GtkWidget *spinbutton_Liste_Signature_Open_Port;
GtkWidget *hbox_Liste_Signature_Change_FTP;
GtkWidget *label_Liste_Signature_Header_FTP;
GtkWidget *combobox_Liste_Signature_FTP;
GtkWidget *entry_Liste_Signature_Header_FTP;
GtkWidget *hbox_Liste_Signature_Change_HTTP;
GtkWidget *label_Liste_Signature_Header_HTTP;
GtkWidget *combobox_Liste_Signature_HTTP;
GtkWidget *entry_Liste_Signature_Header_HTTP;
GtkWidget *hbox_Liste_Signature_Change_IMAP;
GtkWidget *label_Liste_Signature_Header_IMAP;
GtkWidget *combobox_Liste_Signature_IMAP;
GtkWidget *entry_Liste_Signature_Header_IMAP;
GtkWidget *hbox_Liste_Signature_Change_Telnet;
GtkWidget *label_Liste_Signature_Header_TELNET;
GtkWidget *combobox_Liste_Signature_Telnet;
GtkWidget *entry_Liste_Signature_Header_TELNET;
GtkWidget *label_Frame_Liste_Signature;
GtkWidget *vbox_Liste_Signature_Button;
GtkWidget *fixed_Liste_Signature_Button_Haut;
GtkWidget *button_Liste_Signature_Add;
GtkWidget *button_Liste_Signature_Delete;
GtkWidget *fixed_Liste_Signature_Button_Milieu;
GtkWidget *button_Liste_Signature_Ok;
GtkWidget *button_Liste_Signature_Cancel;
GtkWidget *fixed_Liste_Signature_Button_Bas;
GtkWidget *vbox_Liste_Signature_Icone;
GtkWidget *image_Liste_Signature;
GtkWidget *label_Liste_Signature;
#ifdef         __SCRIPT_ENABLE
GtkWidget *scrolledwindow_Liste_Scripts_Root;
GtkWidget *viewport_Liste_Scripts;
GtkWidget *vbox_Liste_Scripts;
GtkWidget *scrolledwindow_Liste_Scripts;
GtkWidget *treeview_Liste_Scripts;
GtkWidget *hbox_Liste_Scripts;
GtkWidget *frame_Liste_Scripts;
GtkWidget *hbox_Liste_Scripts_Change;
GtkWidget *vbox_Liste_Scripts_Change_Gauche;
GtkWidget *hbox_Liste_Scripts_Change_Name;
GtkWidget *label_Liste_Scripts_Name;
GtkWidget *entry_Liste_Scripts_name;
GtkWidget *hbox_Liste_Scripts_Change_Path;
GtkWidget *label_Liste_Scripts_Path;
GtkWidget *entry_Liste_Scripts_Path;
GtkWidget *button_Liste_Scripts_Path;
GtkWidget *hbox_Liste_Scripts_Change_Param;
GtkWidget *label_Liste_Scripts_Params;
GtkWidget *entry_Liste_Scripts_Params;
GtkWidget *vbox_Liste_Scripts_Change_Icon;
GtkWidget *iconentry_Liste_Scripts;
GtkWidget *fixed_Liste_Scripts_Change_Bas;
GtkWidget *label_Frame_Liste_Scripts;
GtkWidget *vbox_Liste_Scripts_Change_Button;
GtkWidget *button_Liste_Scripts_Add;
GtkWidget *button_Liste_Scripts_Delete;
GtkWidget *button_Liste_Scripts_Ok;
GtkWidget *button_Liste_Scripts_Cancel;
GtkWidget *vbox_Liste_Scripts_Icone;
GtkWidget *image_Liste_Scripts;
GtkWidget *label_Liste_Scripts;
#endif
GtkWidget *dialog_action_area_Settings;
GtkWidget *button_Settings_Save;
GtkWidget *hbox_General_SMTP;
GtkWidget *label_General_SMTP;
GtkWidget *entry_General_SMTP;
#ifdef  __SOUND_ENABLE
GtkWidget *hbox_General_Audio_Device;
GtkWidget *label_General_Audio_Device;
GtkWidget *combobox_General_Audio_Device;
#endif
GtkWidget *scrolledwindow_Liste_Restore_Root;
GtkWidget *viewport_Liste_Restore;
GtkWidget *vbox_Liste_Restore;
GtkWidget *scrolledwindow_Liste_Restore;
GtkWidget *treeview_Liste_Restore;
GtkWidget *hbox_Liste_Restore;
GtkWidget *frame_Liest_Restore;
GtkWidget *vbox_Liste_Restore_Change;
GtkWidget *button_Liste_Restore;
GtkWidget *entry_Liste_Restore;
GtkWidget *label_Frame_Liste_Restore;
GtkWidget *vbox_Liste_Restore_Change_Button;
GtkWidget *button_Liste_Restore_Add;
GtkWidget *button_Liste_Restore_Delete;
GtkWidget *button_Liste_Restore_Ok;
GtkWidget *button_Liste_Restore_Cancel;
GtkWidget *vbox_Liste_Restore_Icone;
GtkWidget *image_Liste_Restore;
GtkWidget *label_Liste_Restore;
#ifdef         __SCRIPT_ENABLE
void      on_button_Liste_Scripts_Path_Open_clicked (GtkButton * button, gpointer user_data);
#endif




GtkWidget *hbox_Liste_Signature_Change_HTTPS;
GtkWidget *label_Liste_Signature_Header_HTTPS;
GtkWidget *combobox_Liste_Signature_HTTPS;
GtkWidget *entry_Liste_Signature_Header_HTTPS;
GtkWidget *hbox_Liste_Signature_Change_SMTP;
GtkWidget *label_Liste_Signature_Header_SMTP;
GtkWidget *combobox_Liste_Signature_SMTP;
GtkWidget *entry_Liste_Signature_Header_SMTP;
GtkWidget *hbox_Liste_Signature_Change_SSH;
GtkWidget *label_Liste_Signature_Header_SSH;
GtkWidget *combobox_Liste_Signature_SSH;
GtkWidget *entry_Liste_Signature_Header_SSH;
GtkWidget *hbox_Liste_Signature_Change_SNMP_NAME;
GtkWidget *label_Liste_Signature_SNMP_NAME;
GtkWidget *entry_Liste_Signature_SNMP_NAME;
GtkWidget *hbox_Liste_Signature_Change_SNMP_DESCRIPTION;
GtkWidget *label_Liste_Signature_SNMP_DESCRIPTION;
GtkWidget *entry_Liste_Signature_SNMP_DESCRIPTION;
GtkWidget *label_Liste_Signature_SNMP_DEVICE;
GtkWidget *entry_Liste_Signature_SNMP_DEVICE;
GtkWidget *checkbutton_Liste_Signature_Firewall;
GtkWidget *hbox_Liste_Signature_Change_UDP;
GtkWidget *label_Liste_Signature_UDP;
GtkWidget *entry_Liste_Signature_UDP;
GtkWidget *label_Liste_Signature_Close_Port;
GtkWidget *spinbutton_Liste_Signature_Close_Port_adj;
GtkWidget *spinbutton_Liste_Signature_Close_Port;
GtkWidget *hbox_Liste_Signature_Change_SNMP_DEVICE;
GtkWidget *combobox_Liste_Signature_SNMP_NAME;
GtkWidget *combobox_Liste_Signature_SNMP_DEVICE;
GtkWidget *combobox_Liste_Signature_SNMP_DESCRIPTION;


GtkWidget *hbox_Liste_Signature_Change_GATEWAY;
GtkWidget *label_Liste_Signature_GATEWAY;
GtkWidget *combobox_Liste_Signature_GATEWAY;

GtkWidget *hbox_Liste_Signature_Change_ROUTAGE;
GtkWidget *label_Liste_Signature_ROUTAGE;
GtkWidget *combobox_Liste_Signature_ROUTAGE;


GtkWidget *label_Liste_Signature_Snmp;
GtkWidget *combobox_Liste_Signature_Snmp;
GtkWidget *label_Liste_Signature_Smb;
GtkWidget *combobox_Liste_Signature_Smb;
GtkWidget *label_Liste_Signature_Sip;
GtkWidget *combobox_Liste_Signature_Sip;
GtkWidget *label_Liste_Signature_Printer;
GtkWidget *combobox_Liste_Signature_Printer;
GtkWidget *label_Liste_Signature_JetDirect;
GtkWidget *combobox_Liste_Signature_JetDirect;
