/* ***********************IMPORTANT *********************************************
 *  Copyright (C) 2004-2010 Thierry Lagarde <thierry@autoscan-network.com>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License.
 *
 *
 *                      ********************
 *
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *
 *                      ********************
 *
 *
 * You are highly encouraged to send your changes to <tlagarde@users.sourceforge.net>
 * for possible incorporation into the main distribution.
 * By sending these changes to <tlagarde@users.sourceforge.net>,
 * it is assumed that you are offering <tlagarde@users.sourceforge.net>
 * the unlimited, non-exclusive right to reuse, modify, and relicense the code.
 *
 *
 *                      ********************
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************************/
#ifndef         __OBJET_LISTE
#define         __OBJET_LISTE



enum{
	ETAT_FALSE	= 0,
	ETAT_TRUE
};

enum{
	ETAT_DISCONNECTED	= 0,
	ETAT_CONNECTED,
	ETAT_CLOSE,
	ETAT_NB_MAX
};

struct Struct_Combo_Liste {
	int       Etat;
	char    *Chaine;
};
	

enum {
	COL_ICON_LIST = 0,
	COL_TEXT_LIST,
	COLUMN_EDITABLE_LIST,
	POINTER_LIST,	
	FOREGROUND_TEXT_LIST,
	BOLD_TEXT_LIST,	
	COL_IS_DIRECTORY_LIST,
	BACKGROUND_TEXT_LIST,
	COL_TEXT_LIST_VISIBLE,
	LISTE_POURCENTAGE,
	LISTE_POURCENTAGE_TEXTE,
	LISTE_POURCENTAGE_VISIBLE,
	
	LISTE_ICON_ETAT,
	LISTE_ICON_ETAT_VISIBLE,
	LISTE_COMBOLIST,
	LISTE_COMBOLIST_VISIBLE,
	LISTE_COMBOLIST_MODEL,
	LISTE_COMBOLIST_COLONNE,
	LISTE_TEXTE_EDITABLE,
	LISTE_TEXTE_EDITABLE_VISIBLE,
	LISTE_TEXTE_EDITABLE_EDITABLE,
	LISTE_TEXTE_EDITABLE_PASSWORD,
	
	NUM_COLS_LIST
};
#define NUM_COLS_LIST_ICON BACKGROUND_TEXT_LIST

enum {
	COL_ICON_EQUIPEMENT = COL_ICON_LIST,
	COL_TEXT_EQUIPEMENT = COL_TEXT_LIST,
	COLUMN_EDITABLE_EQUIPEMENT = COLUMN_EDITABLE_LIST,
	POINTER_EQUIPEMENT = POINTER_LIST,
	FOREGROUND_TEXT_EQUIPEMENT = FOREGROUND_TEXT_LIST,
	BOLD_TEXT_EQUIPEMENT = BOLD_TEXT_LIST,
	COL_IS_DIRECTORY_EQUIPEMENT = COL_IS_DIRECTORY_LIST,
	BACKGROUND_TEXT_EQUIPEMENT = BACKGROUND_TEXT_LIST,
	COL_TEXT_LIST_VISIBLE_EQUIPEMENT = COL_TEXT_LIST_VISIBLE,
	LISTE_POURCENTAGE_EQUIPEMENT = LISTE_POURCENTAGE,
	LISTE_POURCENTAGE_TEXTE_EQUIPEMENT = LISTE_POURCENTAGE_TEXTE,
	LISTE_POURCENTAGE_VISIBLE_EQUIPEMENT = LISTE_POURCENTAGE_VISIBLE,
	
	LISTE_ICON_ETAT_EQUIPEMENT = LISTE_ICON_ETAT,
	LISTE_ICON_ETAT_VISIBLE_EQUIPEMENT = LISTE_ICON_ETAT_VISIBLE,
	LISTE_COMBOLIST_EQUIPEMENT = LISTE_COMBOLIST,
	LISTE_COMBOLIST_VISIBLE_EQUIPEMENT = LISTE_COMBOLIST_VISIBLE,
	LISTE_COMBOLIST_MODEL_EQUIPEMENT = LISTE_COMBOLIST_MODEL,
	LISTE_COMBOLIST_COLONNE_EQUIPEMENT = LISTE_COMBOLIST_COLONNE,
	LISTE_TEXTE_EDITABLE_EQUIPEMENT = LISTE_TEXTE_EDITABLE,
	LISTE_TEXTE_EDITABLE_VISIBLE_EQUIPEMENT = LISTE_TEXTE_EDITABLE_VISIBLE,
	LISTE_TEXTE_EDITABLE_EDITABLE_EQUIPEMENT = LISTE_TEXTE_EDITABLE_EDITABLE,
	LISTE_TEXTE_EDITABLE_PASSWORD_EQUIPEMENT = LISTE_TEXTE_EDITABLE_PASSWORD,
	HOSTNAME,	
	HOSTNAME_VISIBLE,
	INFO_POURCENTAGE,
	INFO_TEXTE,
	INFO_VISIBLE,
	USER,
	NOTIFICATION,	
	OS,

	NUM_COLS_EQUIPEMENT_PAR_IP
};
#define NUM_COLS_EQUIPEMENT_PAR_TYPE HOSTNAME



enum {
	COL_ICON_NETWORK = COL_ICON_LIST,
	COL_TEXT_NETWORK = COL_TEXT_LIST,
	COLUMN_EDITABLE_NETWORK = COLUMN_EDITABLE_LIST,
	POINTER_NETWORK = POINTER_LIST,
	FOREGROUND_TEXT_NETWORK = FOREGROUND_TEXT_LIST,
	BOLD_TEXT_NETWORK = BOLD_TEXT_LIST,
	COL_IS_DIRECTORY_NETWORK = COL_IS_DIRECTORY_LIST,
	BACKGROUND_TEXT_NETWORK = BACKGROUND_TEXT_LIST,
	COL_TEXT_LIST_VISIBLE_NETWORK = COL_TEXT_LIST_VISIBLE,
	LISTE_POURCENTAGE_NETWORK = LISTE_POURCENTAGE,
	LISTE_POURCENTAGE_TEXTE_NETWORK = LISTE_POURCENTAGE_TEXTE,
	LISTE_POURCENTAGE_VISIBLE_NETWORK = LISTE_POURCENTAGE_VISIBLE,

	
	LISTE_ICON_ETAT_NETWORK = LISTE_ICON_ETAT,
	LISTE_ICON_ETAT_VISIBLE_NETWORK = LISTE_ICON_ETAT_VISIBLE,
	LISTE_COMBOLIST_NETWORK = LISTE_COMBOLIST,
	LISTE_COMBOLIST_VISIBLE_NETWORK = LISTE_COMBOLIST_VISIBLE,
	LISTE_COMBOLIST_MODEL_NETWORK = LISTE_COMBOLIST_MODEL,
	LISTE_COMBOLIST_COLONNE_NETWORK  = LISTE_COMBOLIST_COLONNE,
	LISTE_TEXTE_EDITABLE_NETWORK = LISTE_TEXTE_EDITABLE,
	LISTE_TEXTE_EDITABLE_VISIBLE_NETWORK = LISTE_TEXTE_EDITABLE_VISIBLE,
	LISTE_TEXTE_EDITABLE_EDITABLE_NETWORK = LISTE_TEXTE_EDITABLE_EDITABLE,
	LISTE_TEXTE_EDITABLE_PASSWORD_NETWORK = LISTE_TEXTE_EDITABLE_PASSWORD,
	
	ICON_USAGE_NETWORK,
	USAGE_NETWORK,
	ICON_COMM_AGENT_NETWORK,
	COMM_AGENT_NETWORK,
	ICON_THREAD_AGENT_NETWORK,
	THREAD_AGENT_NETWORK,
	
	NUM_COLS_NETWORK
};

enum {
	COL_ICON_LIST_BARRE = 0,
	COLUMN_TEXT_LIST_BARRE,
	PROGRESSION_LIST_BARRE,
	NUM_COLS_LIST_BARRE
};

GtkWidget *scrolledwindow_Liste;
void      Detruire_Liste (GtkWidget * Liste_A_Detruire);
void      source_drag_data_get (GtkWidget * widget_source, GdkDragContext * context, GtkSelectionData * selection_data, guint info, guint time, gpointer data);
gboolean  Selectionne (GtkWidget * widget, GdkEventButton * event, gpointer user_data);
void      Double_Clic (GtkTreeView * tree_view, GtkTreePath * path, GtkTreeViewColumn * column, gpointer data);
void      Edit_Texte (GtkCellRendererText * cell, const gchar * path_new, const gchar * new_text, gpointer data);
gint      sort_func (GtkTreeModel * model, GtkTreeIter * a, GtkTreeIter * b, gpointer user_data);
GtkWidget *Create_Liste (gboolean TRIER, gboolean Selection_Multiple, gboolean Selection_None, gboolean Drag_Drop_Send, gboolean Drag_Drop_Recev,gboolean network_list,GtkListStore *list_store_combo);
GtkWidget *Create_Liste_Equipement (gboolean Par_Ip);
#endif
